> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allium.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete dataset

> Deletes a dataset and all its entries.

Permanently deletes a dataset and all its entries.

**Path parameters:**

| Parameter    | Description |
| :----------- | :---------- |
| `dataset_id` | Dataset ID  |

```bash theme={null}
curl -X DELETE https://api.allium.so/api/v1/beam/datasets/${DATASET_ID} \
  -H "X-API-Key: ${ALLIUM_API_KEY}"
```

Returns `204 No Content` on success.

<Warning>
  This action is irreversible. All entries stored in the dataset will be permanently deleted.
</Warning>


## OpenAPI

````yaml _openapi/beam-api.json DELETE /api/v1/beam/datasets/{dataset_id}
openapi: 3.1.0
info:
  title: Allium Beam API
  description: Allium Beam — managed streaming pipelines on top of Allium Datastreams.
  version: 1.0.0
servers:
  - url: https://api.allium.so
security: []
paths:
  /api/v1/beam/datasets/{dataset_id}:
    delete:
      tags:
        - BEAM
      summary: Delete Dataset Handler
      operationId: delete_dataset_handler_api_v1_beam_datasets__dataset_id__delete
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Dataset Id
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyBearer:
      type: apiKey
      in: header
      name: X-API-KEY

````